Skip to content

This repository contains a guides and tools for configuring various software in various Linux distributions. It focuses on system administration and automation.

License

Notifications You must be signed in to change notification settings

zDimaBY/open_auto_install_scripts

Repository files navigation

GitHub stars GitHub forks GitHub issues GitHub license GitHub last commit Hits

How to Use the Script ?

Control Panel Commands:
Deploy the Script Use the following command to download and run the setup script:

wget -N https://raw.githubusercontent.com/zDimaBY/open_auto_install_scripts/main/open_auto_install_scripts.sh && bash ./open_auto_install_scripts.sh

Script for displaying information about the system
Autorun for MobaXterm:

(command -v curl &> /dev/null && curl -sSL https://raw.githubusercontent.com/zDimaBY/open_auto_install_scripts/main/linuxinfo.sh | bash) || (command -v wget &> /dev/null && wget -qO- https://raw.githubusercontent.com/zDimaBY/open_auto_install_scripts/main/linuxinfo.sh | bash) || { echo "Error: Neither 'curl' nor 'wget' found. Please install one of them to continue."; exit 1; }

or

[ ! -f ~/.vimrc ] && echo -e "set number\nsyntax on" > ~/.vimrc && trap 'rm ~/.vimrc' EXIT && echo "Settings applied for the current session." || echo "File .vimrc already exists, no changes made."; (command -v curl &> /dev/null && curl -sSL --max-time 2 -s https://raw.githubusercontent.com/zDimaBY/open_auto_install_scripts/main/linuxinfo.sh | bash) || (command -v wget &> /dev/null && wget --timeout=2 -qO- https://raw.githubusercontent.com/zDimaBY/open_auto_install_scripts/main/linuxinfo.sh | bash) || { echo "Error: Neither 'curl' nor 'wget' found. Please install one of them to continue."; exit 1; }

Run in terminal:
curl -sSL https://raw.githubusercontent.com/zDimaBY/open_auto_install_scripts/main/linuxinfo.sh | bash
or
wget -qO- https://raw.githubusercontent.com/zDimaBY/open_auto_install_scripts/main/linuxinfo.sh | bash

Supported panel operating systems

Operating System Version Supported
SystemRescueCD 9.06 🟡
11.00 🟡
Ubuntu 18.04 🟡
20.04 🟢
22.04 🟢
24.04 🟢
Debian 10 🟢
11 🟢
12 🟢
CentOS Stream 8 🟡
9 🟡
Rocky-Linux 8 🔴
9 🔴

Menu Options Explained

  • Software Installation: This option allows you to install essential software such as Composer, Docker, RouterOS 7.5, Elasticsearch, Nginx as a proxy, and OpenSSH.

  • Functions for Control Panels: Although labeled as a test feature, this may include utilities or functions for managing control panels.

  • DDoS Analysis: This tools or scripts to help analyze and mitigate DDoS attacks.

  • VPN Configuration: This comprehensive option allows you to install and configure various VPN services:

    • 3X-UI: Installs 3X-UI, a web-based management interface for Xray, on Docker.
    • X-UI: Installs X-UI, another web-based management tool for Xray, also on Docker.
    • WireGuard Easy: Installs a simple web-based interface for managing WireGuard on Docker.
    • IPsec/L2TP, Cisco IPsec, IKEv2: Installs a Docker-based VPN server supporting multiple protocols.
    • WireGuard: Installs WireGuard locally on the server.
    • OpenVPN: Installs OpenVPN locally on the server.
    • VPN-PPTP: Sets up a PPTP VPN with encryption on Docker.
  • FTP Configuration: A test feature that may be used for setting up FTP servers.

  • Database Configuration: This test feature might assist with setting up and managing databases.

  • Operating Systems Installation: This feature might help with setting up operating systems on servers.

  • Server Testing: Includes tools for testing server performance, such as port speed tests.

The script also provides options to exit the submenu or the script entirely.